package com.liquidnet.service.sweet.vo;

import com.liquidnet.service.sweet.entity.SweetManualShop;
import com.liquidnet.service.sweet.entity.SweetManualShopMdsk;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel
public class SweetManualShopMdskAllVo implements Serializable ,Cloneable {
    @ApiModelProperty("推荐")
    private List<SweetManualShopMdsk> recommend;
    @ApiModelProperty("吃喝")
    private List<SweetManualShopMdsk> eat;
    @ApiModelProperty("玩乐")
    private List<SweetManualShopMdsk> play;

    private static final SweetManualShopMdskAllVo obj = new SweetManualShopMdskAllVo();
    public static SweetManualShopMdskAllVo getNew() {
        try {
            return (SweetManualShopMdskAllVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SweetManualShopMdskAllVo();
        }
    }
}
